Package org.eclipse.birt.report.model.api.simpleapi

# Interface IHideRule

public interface IHideRule
Represents the design of an HighRule in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`String`
`getFormat()`
Returns format
`IStructure`
`getStructure()`
Returns structure.
`String`
`getValueExpr()`
Returns value expression
`void`
`setFormat(String format)`
Sets format
`void`
`setValueExpr(String valueExpr)`
Sets value expression.

## Method Details

### getFormat

String getFormat()
Returns format

Returns:
  format

### setFormat

void setFormat(String format) throws SemanticException
Sets format

Parameters:
  `format` -
Throws:
  `SemanticException`

### getValueExpr

String getValueExpr()
Returns value expression

Returns:
  value expression

### setValueExpr

void setValueExpr(String valueExpr) throws SemanticException
Sets value expression.

Parameters:
  `valueExpr` -
Throws:
  `SemanticException`

### getStructure

IStructure getStructure()
Returns structure.

Returns:
  structure